/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
/* style.css */


/* slider css */


.smart-swiper {
    width: 100%;
    height: 550px;
    position: relative;
}

.smart-swiper .swiper-wrapper,
.smart-swiper .swiper-slide {
    height: 100%;
}


.smart-swiper .swiper-slide {
    position: relative;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.slide-content {
    position: relative;
    z-index: 2;
    color: #fff;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    gap: 40px;
    width: min(1240px, 92%);
    margin: 0 auto;
    height: 100%;
}


.content-left>* {
    opacity: 0;
    transform: translateY(32px);
    transition: all .8s ease;
}

.content-left.active>* {
    opacity: 1;
    transform: none;
}

.content-left .sub-heading {
    transition-delay: .15s;
   	font-size: 18px;
    font-weight: 600;
    font-style: normal;
    line-height: 30px;
    margin-bottom: 15px;
	color: var(--e-global-color-accent); !important;
}

.content-left .heading {
    transition-delay: .30s;
    font-weight: 800;
	font-size: 64px;
	color: #000 !important;
    margin-bottom: 15px;
	line-height: 70px !important;
}

.content-left .description {
    transition-delay: .45s;
    color: #242424 !important;
    font-size: 16px;
    font-weight: 500;
    font-style: normal;
    line-height: 22px;
    margin-bottom: 42px;
}

.content-left .btn-group {
    transition-delay: .60s;
    display: flex;
    gap: 14px;
    flex-wrap: wrap;
}

.btn {
    padding: 10px 25px !important;
    font-size: 16px;
    border-radius: 0px !important;
    border: none;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    transition: .25s;
	font-weight: 400 !important;
}

.btn-primary {
    background: var(--e-global-color-primary);
    color: #fff !important;
	line-height: 28px !important;
}

.btn-primary:hover {
    transform: translateY(-2px);
}

.btn-outline {
    background: var(--e-global-color-accent)  !important;
    color: #fff !important;
}

.btn-outline:hover {
    background: transparent;
    color: #000;
    transform: translateY(-2px);
}

.content-right {
    display: flex;
    justify-content: center;
    align-items: center;
}

.content-right img {
    width: 100%;
    max-width: 460px;
    opacity: 0;
    transform: scale(.85);
    transition: all 1s ease;
}

.content-right.active img {
    opacity: 1;
    transform: none;
    transition-delay: .35s;
}

.smart-swiper .swiper-pagination-bullet {
    background: var(--e-global-color-primary);
    opacity: .5;
	    width: 10px;
    height: 10px;
}

.smart-swiper .swiper-pagination-bullet-active {
    background: var(--e-global-color-primary);
    opacity: 1;
}

.smart-swiper .swiper-button-prev,
.smart-swiper .swiper-button-next {
    color: #fff;
}
.swiper-button-prev, .swiper-button-next {
    display: none !important;
}

@media (max-width: 992px) {
    .slide-content {
        grid-template-columns: 1fr;
        gap: 26px;
        padding: 40px 0;
    }

    .content-right {
        order: -1;
    }

    .content-left .heading {
        font-size: 34px;
    }
}

@media (max-width: 520px) {
    .smart-swiper {
        height: 88vh;
    }

    .content-left .heading {
        font-size: 28px;
    }
}


body {
    font-family: var(--e-global-typography-primary-font-family);

.discount span {
	background: #28a745 !important;
	padding: 3px 8px !important;
	border-radius: 2px;
}
.sale-price {
    color: #000;
    font-weight: 500;
    font-size: 16px;
    display: block;
}
body .old-price {
    color: #888 !important;
    text-decoration: line-through;
    font-size: 14px !important;
	font-weight: 400 !important
}
#main_price {
	display: flex;
	align-items: center;
}
.line_1 {
	 white-space: nowrap;       
    overflow: hidden;          
    text-overflow: ellipsis;  
    display: block;            
    max-width: 100%;    
}
.product_img {
	aspect-ratio: 4 / 4;
    object-fit: cover;
    object-position: center;
}
.product_box .product_img {
	overflow: hidden;    
}

.product_box .product_img img {
	transition: transform 0.4s ease; 
}

.product_box:hover .product_img img {
	transform: scale(1.1);  
}

	.elementor-widget-off-canvas .e-off-canvas__main.animated {
    animation-duration: 600ms !important;
}
	.line_3  span {
		 display: -webkit-box;
		-webkit-line-clamp: 2;
		-webkit-box-orient: vertical;
		overflow: hidden;
		text-overflow: ellipsis;
	}
	.line_1 h2 a {
    font-weight: 500 !important;
}
	.aspect_ratio {
	aspect-ratio: 1/1;
    object-fit: cover;
    object-position: center;
	}
	
	
	
	
	